# Uses of Class
javax.swing.ButtonGroup

Packages that use ButtonGroup
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of ButtonGroup in javax.swing

Fields in javax.swing declared as ButtonGroup
Modifier and Type
Field
Description
`protected ButtonGroup`
DefaultButtonModel.`group`
The button group that the button belongs to.
Methods in javax.swing that return ButtonGroup
Modifier and Type
Method
Description
`default ButtonGroup`
ButtonModel.`getGroup()`
Returns the group that the button belongs to.
`ButtonGroup`
DefaultButtonModel.`getGroup()`
Returns the group that the button belongs to.
Methods in javax.swing with parameters of type ButtonGroup
Modifier and Type
Method
Description
`void`
ButtonModel.`setGroup(ButtonGroup group)`
Identifies the group the button belongs to -- needed for radio buttons, which are mutually exclusive within their group.
`void`
DefaultButtonModel.`setGroup(ButtonGroup group)`
Identifies the group the button belongs to -- needed for radio buttons, which are mutually exclusive within their group.